Subject: FVWM: FvwmEvent v. FvwmAudio compat. mode

From: Norvell Spearman <[email-masked]>
Date: Mon, 11 Nov 2002 22:14:58 -0600

fvwm-2.5.4

How does one specify a sound directory for FvwmEvent without invoking
FvwmAudio compatibility mode (I'm using esd/esdplay instead of rplay).
If I missed this in the documentation, all apologies in advance.

Thanks much.

-- 
Norvell Spearman
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Mikhael Goikhman <[email-masked]>
Date: Tue, 12 Nov 2002 05:56:44 +0000

> If I missed this in the documentation, all apologies in advance.

There is no way to specify a sound directory in the plain FvwmEvent.
But there are 2 approaches how not to duplicate it every time:

  *FvwmEvent-Sound: Cmd "Exec exec esdplay"
  SetEnv SOUND_DIR /data/multimedia/sounds
  *FvwmEvent-Sound: add_window       $[SOUND_DIR]/add_window.au
  *FvwmEvent-Sound: destroy_window   $[SOUND_DIR]/destroy_window.au
  *FvwmEvent-Sound: iconify          $[SOUND_DIR]/iconify.au
  ...

If you don't want to hardcode any directory, use "relative" directory:

  *FvwmEvent-Sound: add_window       $./../sounds/add_window.au
  *FvwmEvent-Sound: destroy_window   $./../sounds/destroy_window.au
  *FvwmEvent-Sound: iconify          $./../sounds/iconify.au
  ...

Regards,
Mikhael.

---

From: Mikhael Goikhman <[email-masked]>
Date: Tue, 12 Nov 2002 07:36:20 +0000

On 12 Nov 2002 01:24:30 -0600, Norvell Spearman wrote:
> 
> Thanks for answering so quickly.
> 
> How much longer will FvwmAudio compatibility mode be available in
> FvwmEvent?

I don't know, probably until 3.0.0.

> Could I not append the sound directory to the FvwmEvent Cmd argument,
> for example:
> 
> *FvwmEvent-Sound: Cmd "Exec exec esdplay $[SOUND_DIR]/$[1]"
> *FvwmEvent-Sound: add_window wiggle.wav
> 
> Thanks much for your help.

It should be fairly trivial to change FvwmEvent to accept format specifier
(like %s) in Cmd. If it is not found in Cmd, then " %s" is added to it
just like it works now. Then something like this would work for you:

  *FvwmEvent-Sound: Cmd "Exec exec esdplay /data/multimedia/sounds/%s.wav"
  *FvwmEvent-Sound: add_window wiggle

I don't have a time to add this right now. Maybe someone else has.

Regards,
Mikhael.

---

From: Dominik Vogt <[email-masked]>
Date: Tue, 12 Nov 2002 10:06:17 +0100

> FvwmAudio compatibility mode (I'm using esd/esdplay instead of rplay).

You can't.  All you can do is write a shell script that has the
path hard coded.

> If I missed this in the documentation, all apologies in advance.

Bye

Dominik ^_^  ^_^

---

From: Norvell Spearman <[email-masked]>
Date: Tue, 12 Nov 2002 17:57:27 -0600

> You can't.  All you can do is write a shell script that has the

Thanks very much; I'll give that a try.